summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/asciidoctor/Manifest2
-rw-r--r--dev-ruby/asciidoctor/asciidoctor-2.0.22.ebuild (renamed from dev-ruby/asciidoctor/asciidoctor-2.0.20.ebuild)6
-rw-r--r--dev-ruby/binding_of_caller/Manifest1
-rw-r--r--dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild30
-rw-r--r--dev-ruby/bson/Manifest1
-rw-r--r--dev-ruby/bson/bson-5.0.0.ebuild29
-rw-r--r--dev-ruby/css_parser/css_parser-1.16.0.ebuild4
-rw-r--r--dev-ruby/dalli/Manifest1
-rw-r--r--dev-ruby/dalli/dalli-3.2.8.ebuild44
-rw-r--r--dev-ruby/fakefs/fakefs-2.5.0.ebuild4
-rw-r--r--dev-ruby/maxitest/maxitest-5.4.0.ebuild8
-rw-r--r--dev-ruby/prawn/Manifest1
-rw-r--r--dev-ruby/prawn/prawn-2.5.0.ebuild41
-rw-r--r--dev-ruby/rack-cache/rack-cache-1.16.0.ebuild4
14 files changed, 163 insertions, 13 deletions
diff --git a/dev-ruby/asciidoctor/Manifest b/dev-ruby/asciidoctor/Manifest
index fe8919b24265..3471af1d7119 100644
--- a/dev-ruby/asciidoctor/Manifest
+++ b/dev-ruby/asciidoctor/Manifest
@@ -1,2 +1,2 @@
-DIST asciidoctor-2.0.20.tar.gz 1700888 BLAKE2B 0b09610cc4a642eacd608bfbe8054c9358aca908adba088a21deceb25374fa4796a53a619957c9974fcb576016ce6573c891b39a6c6d66aa73585cd637310ff0 SHA512 b6b730de8f83e36630dc6146b4c0e07a26b502b695e78e50fc87790391126d52ef0b6b02b82ecb225adff680c94305b4e31403cc067bdbf1740e2d759417f440
DIST asciidoctor-2.0.21.tar.gz 1706583 BLAKE2B 3e210f7bc3b06750947ddf31be91c89537bf3a5ba29c48388bf21751941827e740457ab68dd6d672772535348ad7e69234a71783d7c4849a6f94d0ca5f488dab SHA512 2da92ead7ef8c860229488ba2d6063cb837745cd30dc37cbb0d0a054b934fe88d93f3ae58a1d49ad50d6be4cf4d2c62efabf49a491a4b4b633a612c37d4f9d48
+DIST asciidoctor-2.0.22.tar.gz 1707063 BLAKE2B 2e1e00f9e972e58453e731e84dc176bb9d1ef7b08e47986d9a892b53a8b29fe583de193ab8baa882b60a941fb095d8253054674d15107a4fd2ef66eff1fc41e9 SHA512 8c610e3710543334707e7f8c269d061c0e7a499d6840413a84b21ebb7909f78782942f38e831858b0dc8824f39da3da9e6e97734774e58bc64cab2b41d96d222
diff --git a/dev-ruby/asciidoctor/asciidoctor-2.0.20.ebuild b/dev-ruby/asciidoctor/asciidoctor-2.0.22.ebuild
index 9abd1f5ed156..b9e9ed248243 100644
--- a/dev-ruby/asciidoctor/asciidoctor-2.0.20.ebuild
+++ b/dev-ruby/asciidoctor/asciidoctor-2.0.22.ebuild
@@ -1,7 +1,7 @@
-# Copyright 2021-2023 Liguros Authors
+# Copyright 2021-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby30 ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_TEST="test features"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc README.adoc"
@@ -11,7 +11,7 @@ inherit ruby-fakegem
DESCRIPTION="Processor for converting AsciiDoc into HTML 5, DocBook 4.5 and other formats"
HOMEPAGE="https://github.com/asciidoctor/asciidoctor"
-SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/asciidoctor/asciidoctor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
diff --git a/dev-ruby/binding_of_caller/Manifest b/dev-ruby/binding_of_caller/Manifest
index edf5c7a36dde..4f507d39cba8 100644
--- a/dev-ruby/binding_of_caller/Manifest
+++ b/dev-ruby/binding_of_caller/Manifest
@@ -1 +1,2 @@
DIST binding_of_caller-1.0.0.tar.gz 7473 BLAKE2B 2a8f3cee555e11c9eeb56935d0ee51deb037ea5fc631b4ef5eb50a831e48ba47c6a94e9104456bd8e6c4910bc76c5bc7e268db7de8c5ed283886b80c3feffd62 SHA512 89c58fec180b7bc25c5124035ed69692961148a3ddcb561643e7b8b1a78c3b103795408b52e70264db7c4b62080991219af977c5b981a135d573ecd56cebebba
+DIST binding_of_caller-1.0.1.tar.gz 7514 BLAKE2B 1a6786d4fa2a01f72bf5b38f8fced3950826488501fa15fb8b37188e345d6a93ce8a4598f7c4c0048ca05bfae8ff23daab8a0fb89da3140f83f20dbca60ae1f3 SHA512 ebdcb2e0e41efef38eec2aa814f4d875249e1fb4f4719238fae2c92533a37324fe64bc9edbebddf2d240f0c3dd213fddf1584cb9841e4fc946c6aecbe8543e34
diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
new file mode 100644
index 000000000000..90fe35a91cb9
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-1.2.0"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/bson/Manifest b/dev-ruby/bson/Manifest
index 671a76e802c0..336fe437c41a 100644
--- a/dev-ruby/bson/Manifest
+++ b/dev-ruby/bson/Manifest
@@ -1 +1,2 @@
DIST bson-4.15.0.gem 163328 BLAKE2B 21c28ee610a2e067c528e163ac4caec0e76d0ec1a73c8c89a2c455887da54aa0dfaa7ed840736013d87766c5cd4f23dc82b4c6474b0463a32b30575b28c5b898 SHA512 954dd419ab94dfde87d8902745885184505d74333fc71608f64544ca52f728782ea6fc3233718749c110c31ee14802ff240caa8ac4c170369d4adcf45557e79d
+DIST bson-5.0.0.gem 172544 BLAKE2B 574c1e42e3b625d0b24dc21eb731bd5b2f86ccc76cceb252635f6be3e504553ab7d267f0b128ae4cfe6da0135c4e0e588a78ae1955dcc5847a32ef64d4d81157 SHA512 31e3606328749937e523a0ec4f9a14da2fe8e03070b3602fd96a3b6742f060988d227029f85768c1ad22348b7af20efbe360b93956d7dc9efba429f9f8d36a47
diff --git a/dev-ruby/bson/bson-5.0.0.ebuild b/dev-ruby/bson/bson-5.0.0.ebuild
new file mode 100644
index 000000000000..bd1abf9c3ce5
--- /dev/null
+++ b/dev-ruby/bson/bson-5.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/bson/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby BSON implementation for MongoDB. (Includes binary C-based extension.)"
+HOMEPAGE="https://www.mongodb.com/"
+# We prefer rubygems if we can anyway, but note that rubygems has test sources we need,
+# but github *doesn't* (other way around to usual!)
+RUBY_S="bson-ruby-${PV}"
+
+LICENSE="APSL-2"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE="test doc"
+
+ruby_add_rdepend "dev-ruby/base64 dev-ruby/bigdecimal"
+
+all_ruby_prepare() {
+ # Remove bundler support
+ sed -i -e '/bundler/I s:^:#:' Rakefile || die
+}
diff --git a/dev-ruby/css_parser/css_parser-1.16.0.ebuild b/dev-ruby/css_parser/css_parser-1.16.0.ebuild
index 34a6b61fe253..220acb7872bb 100644
--- a/dev-ruby/css_parser/css_parser-1.16.0.ebuild
+++ b/dev-ruby/css_parser/css_parser-1.16.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_DOC_DIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md "
diff --git a/dev-ruby/dalli/Manifest b/dev-ruby/dalli/Manifest
index 8fd6168def5b..b4c8649bea05 100644
--- a/dev-ruby/dalli/Manifest
+++ b/dev-ruby/dalli/Manifest
@@ -1,3 +1,4 @@
DIST dalli-3.2.5.tar.gz 72496 BLAKE2B 2a8665aad98629ccab873a2b6b6661304b25dd2374ed3685f97dee83bf43c604088e43229ced951453d889fab7a1ec35b7fb3f0028858cf890a6013ac82b64c1 SHA512 ace079e3c9f7c30e2f266a07f87e58cbf4276f5ca4744ade76782a6a6047296bf5e23d40a4c1f4596b1eb150501c460f7cf89b33f308a774bcfe5825ec635760
DIST dalli-3.2.6.tar.gz 72683 BLAKE2B d3cf252862d796cb0e8320df0b35af91678949b1dc564054585252e98caed70681609857b7606663b4bda08a27112bc1d51779fc29ef045d0ec087ba80d6dfdd SHA512 93aa808123adb671c096543271407e497770a8f7481a961f48f11493f3a313113f0ec7829708d7352c0ade1f02a9842ecfc22ba7d93beb138db981d2bd1b94a9
DIST dalli-3.2.7.tar.gz 73058 BLAKE2B 8baba122e1bba1254e38ed021ac0c494c27bccf65d99aa16f379824073457e2eb7f79b2e9ec4cb49153b682c48d6bdfdcbe64966a286dba7b45349ace81ca4a1 SHA512 771bb0863e86cd7c252cfc1a688dd820b3efd24d6038be8789e2d4c2604703b78b64d36d0b32bb81001d625fc116eb86b4421cb3b32de8918912a3995e68ee70
+DIST dalli-3.2.8.tar.gz 73367 BLAKE2B 1680fda0d272d135f8e88a0ea2e16a08cd1027808f0503334b8c53dd85472cc7c37df3649623f8347169f5b8cd645c9a1a4d98343e45d4369ce8d08cc1306316 SHA512 85a0d8121fd0e539b0fd6c15716971d91e91741d36850cf8e887d8fef17d6b49ea6036ce66c986aafd008aa0e744cd798bc574e9376383b9af33b0971e31e25c
diff --git a/dev-ruby/dalli/dalli-3.2.8.ebuild b/dev-ruby/dalli/dalli-3.2.8.ebuild
new file mode 100644
index 000000000000..41af68f1391e
--- /dev/null
+++ b/dev-ruby/dalli/dalli-3.2.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md Performance.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A high performance pure Ruby client for accessing memcached servers"
+HOMEPAGE="https://github.com/petergoldstein/dalli"
+SRC_URI="https://github.com/petergoldstein/dalli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="test"
+
+DEPEND+="${DEPEND} test? ( >=net-misc/memcached-1.5.4[ssl(-)] )"
+
+ruby_add_bdepend "test? (
+ dev-ruby/connection_pool
+ dev-ruby/minitest:5
+ dev-ruby/rack
+ dev-ruby/rack-session
+)"
+
+all_ruby_prepare() {
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ sed -i -e '/\(appraisal\|bundler\)/ s:^:#:' Rakefile || die
+
+ sed -i -e '3igem "minitest", "~> 5.0"; require "dalli"' \
+ -e '/bundler/ s:^:#:' test/helper.rb || die
+
+ sed -i -e "s:/tmp:${T}:" test/utils/certificate_generator.rb || die
+}
diff --git a/dev-ruby/fakefs/fakefs-2.5.0.ebuild b/dev-ruby/fakefs/fakefs-2.5.0.ebuild
index 3b2c82c83826..c55bf06e9f18 100644
--- a/dev-ruby/fakefs/fakefs-2.5.0.ebuild
+++ b/dev-ruby/fakefs/fakefs-2.5.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_TEST="none"
diff --git a/dev-ruby/maxitest/maxitest-5.4.0.ebuild b/dev-ruby/maxitest/maxitest-5.4.0.ebuild
index 737952209473..014c2e859dc8 100644
--- a/dev-ruby/maxitest/maxitest-5.4.0.ebuild
+++ b/dev-ruby/maxitest/maxitest-5.4.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
@@ -30,7 +30,9 @@ all_ruby_prepare() {
# Remove developer-only gems from the gemspec and avoid git issues
sed -e 's:_relative ": "./:' \
-i ${RUBY_FAKEGEM_GEMSPEC} || die
- sed -i -e '/\(debug\|bump\)/ s:^:#:' Gemfile || die
+ sed -e '/\(debug\|bump\)/ s:^:#:' \
+ -e 'agem "mutex_m"' \
+ -i Gemfile || die
sed -e '/shows backtrace for/askip' \
-e '/describe.*line/ s/describe/xdescribe/' \
diff --git a/dev-ruby/prawn/Manifest b/dev-ruby/prawn/Manifest
index d3e45e2289af..89379d489135 100644
--- a/dev-ruby/prawn/Manifest
+++ b/dev-ruby/prawn/Manifest
@@ -1 +1,2 @@
DIST prawn-2.4.0.tar.gz 5239492 BLAKE2B 5435d7715d2b3020316a04cbf2db1b7793435f2d05d34aae4832e12908a928f689c86d358562e7cd1c2675171a1743757097f0af3357eb667e4e2b9462890590 SHA512 e9fcc31ad2b5aa23592a8bf9419153fcb3080e00e53c9a91b50edc526631227fe86769eeb09336d267ea8f0a94f12336f71b24adc4d5cd9e750367d51f07c867
+DIST prawn-2.5.0.tar.gz 5254375 BLAKE2B e523522868716a3d4926cbbeb33b6d71ce8211065b66a1633e351465e9a9e5c6b62e2de066302c366964df468d6c494393c3afb011f7b91392bc6d0940e55ec9 SHA512 1feb425867c276dd4dcf27f5086c75700ef191e68a1a91756cfd4058540b268dfc29b0d249d281e7ded6e2d2bf7aa56065e6173c4c9caf4d568dc8e4ad66e08d
diff --git a/dev-ruby/prawn/prawn-2.5.0.ebuild b/dev-ruby/prawn/prawn-2.5.0.ebuild
new file mode 100644
index 000000000000..f0f67e5ce12b
--- /dev/null
+++ b/dev-ruby/prawn/prawn-2.5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_GEMSPEC="prawn.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Fast, Nimble PDF Generation For Ruby"
+HOMEPAGE="https://prawnpdf.org/"
+SRC_URI="https://github.com/prawnpdf/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( GPL-2 GPL-3 Ruby )"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ =dev-ruby/matrix-0.4*
+ =dev-ruby/pdf-core-0.10*
+ >=dev-ruby/ttfunk-1.8:*
+"
+ruby_add_bdepend "test? ( dev-ruby/coderay
+ >=dev-ruby/pdf-inspector-1.2.1
+ >=dev-ruby/pdf-reader-1.4
+ )"
+
+all_ruby_prepare() {
+ sed -i -e 's/__dir__/"."/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e "/[Bb]undler/d" Rakefile spec/spec_helper.rb || die
+
+ # Remove test that needs unpackaged dependency
+ rm -f spec/prawn_manual_spec.rb || die
+}
diff --git a/dev-ruby/rack-cache/rack-cache-1.16.0.ebuild b/dev-ruby/rack-cache/rack-cache-1.16.0.ebuild
index c67edb33eeed..81b6b20841c5 100644
--- a/dev-ruby/rack-cache/rack-cache-1.16.0.ebuild
+++ b/dev-ruby/rack-cache/rack-cache-1.16.0.ebuild
@@ -2,9 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
-# no documentation is generable, it needs hanna, which is broken
+# no documentation can be generated. It needs hanna, which is broken.
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_TASK_TEST="none"